This is Release 3 of the Atari debugger, DB.
The date of the release is June 27, 1991.

The files included in this release are:

	readme		this file

	db.tos		the debugger
	addendum.r3	release notes with respect to Release 2
	sysvars.db	a script which creates symbols for system variables

	os.db		a script for seeing GEMDOS calls
	ramtrap1.prg	a TSR you run to make os.db work
	ramtrap1.s	source for ramtrap1.prg

	bios.db		a script for seeing BIOS and XBIOS calls
	ramt13.prg	a TSR you run to make bios.db work
	ramt13.s	source for ramt13.s

See the comments in the script files for instructions on using them.

The files listed above are in the archive db3.lzh.  Also in this release,
but in separate archive files (to save downloading time for people who
don't want them) are:

	rdb.tos		remote debugger using the MIDI port
	stub.ttp	stub for remote debugging using the MIDI port
	stubres.ttp	resident stub for remote debugging using the MIDI port

To use the MIDI-port remote debugger, see the Release 2 manual section on
Remote Debugging; you'll need two ST's and a set of MIDI cables.

	rdbaux.tos	remote debugger using the AUX port
	stubaux.ttp	stub for remote debugging using the AUX port
	stubraux.ttp	resident stub for remote debugging using the AUX port

To use the serial-port remote debugger, you need a cable to connect the two
AUX ports together.  It has to be a null modem, which is to say that pin 2
on one side goes to pin 3 on the other, and vice-versa, and pin 7 is
connected straight through.

	rdbpar.tos	remote debugger using the PRN port
	stubpar.ttp	stub for remote debugging using the PRN port
	stubrpar.ttp	resident stub for remote debugging using the PRN port

To use the parallel-port remote debugger, you need a cable with DB25
connectors on each end.  The cable has to swap pins 1 and 11, and connect
pins 2-9 and pin 10 straight through.  Parallel port debugging is a little
strange, and works best if the "rdb" side is started before the "stub" side
tries to talk to it.

These are in archives whose names are the name of the remote debugger in
question, with a '3' designating Release 3: rdb3.lzh, rdbaux3.lzh, and
rdbpar3.lzh.

